Skip to main content
PATCH
/
api
/
v2
/
flag-links
/
projects
/
{projectKey}
/
flags
/
{featureFlagKey}
/
{id}
Update flag link
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/flag-links/projects/{projectKey}/flags/{featureFlagKey}/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "op": "replace",
    "path": "/title",
    "value": "Updated flag link title"
  }
]
'
{
  "_links": {},
  "_id": "1234a56b7c89d012345e678f",
  "_deepLink": "https://example.com/archives/123123123",
  "_timestamp": "{\"milliseconds\": 1655342199935, \"seconds\": 1655342199, \"rfc3339\": \"2022-06-16T01:16:39Z\", \"simple\": \"2022-06-16 01:16:39\"}",
  "_createdAt": "1654104600000",
  "_key": "flag-link-key-123abc",
  "_integrationKey": "<string>",
  "title": "Example link title",
  "description": "Example link description",
  "_metadata": {},
  "_member": {
    "_links": {},
    "_id": "<string>",
    "firstName": "<string>",
    "lastName": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

featureFlagKey
string<string>
required

The feature flag key

id
string<string>
required

The flag link ID

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Flag link response

The location and content type of related resources

_id
string
required

The ID of this flag link

Example:

"1234a56b7c89d012345e678f"

The URL for the external resource the flag is linked to

Example:

"https://example.com/archives/123123123"

_timestamp
object
required

The time to mark this flag link as associated with the external URL. Defaults to the creation time of the flag link, but can be set to another time during creation.

Example:

"{\"milliseconds\": 1655342199935, \"seconds\": 1655342199, \"rfc3339\": \"2022-06-16T01:16:39Z\", \"simple\": \"2022-06-16 01:16:39\"}"

_createdAt
integer<int64>
required

Timestamp of when the flag link was created

Example:

"1654104600000"

_key
string

The flag link key

Example:

"flag-link-key-123abc"

_integrationKey
string

The integration key for an integration whose manifest.json includes the flagLink capability, if this is a flag link for an existing integration

title
string

The title of the flag link

Example:

"Example link title"

description
string

The description of the flag link

Example:

"Example link description"

_metadata
object

The metadata required by this integration in order to create a flag link, if this is a flag link for an existing integration. Defined in the integration's manifest.json file under flagLink.

_member
object

Details on the member associated with this flag link